Bug 845793 - Include .a in -devel packaging for use in building Poco static libs
Include .a in -devel packaging for use in building Poco static libs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmnl (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Hushan Jia
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 00:57 EDT by Philip Prindeville
Modified: 2012-10-08 19:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 17:06:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trivial patch. (937 bytes, application/octet-stream)
2012-08-05 00:57 EDT, Philip Prindeville
no flags Details

  None (edit)
Description Philip Prindeville 2012-08-05 00:57:18 EDT
Created attachment 602331 [details]
Trivial patch.

Description of problem:

Poco builds against libmnl on Linux, and Poco delivers both shared and static versions.

Also, please sync up the el6 branch with master.

Version-Release number of selected component (if applicable):

1.0.3-2


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hushan Jia 2012-08-05 06:21:20 EDT
I will add .a to devel package.
The el6 branch is already synced with master, and is latest.
Comment 2 Fedora Update System 2012-08-13 09:32:39 EDT
libmnl-1.0.3-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmnl-1.0.3-4.fc17
Comment 3 Fedora Update System 2012-08-13 09:34:16 EDT
libmnl-1.0.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libmnl-1.0.3-4.fc16
Comment 4 Fedora Update System 2012-08-13 09:37:04 EDT
libmnl-1.0.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libmnl-1.0.3-4.el6
Comment 5 Fedora Update System 2012-08-13 09:38:15 EDT
libmnl-1.0.3-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libmnl-1.0.3-4.el5
Comment 6 Fedora Update System 2012-08-13 13:27:53 EDT
Package libmnl-1.0.3-4.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing libmnl-1.0.3-4.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6700/libmnl-1.0.3-4.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-08-22 17:06:25 EDT
libmnl-1.0.3-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-22 17:09:32 EDT
libmnl-1.0.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-28 12:56:04 EDT
libmnl-1.0.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-08-28 12:58:00 EDT
libmnl-1.0.3-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-10-07 17:06:45 EDT
qemu-1.2.0-12.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qemu-1.2.0-12.fc18
Comment 12 Fedora Update System 2012-10-08 19:56:52 EDT
qemu-1.0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qemu-1.0.1-2.fc17

Note You need to log in before you can comment on or make changes to this bug.